#include<iostream>
using namespace std;

int num[100000];

int main () {
    ios_base::sync_with_stdio(false);
    int a, b, l;
    cin >> a >> b >> l;

    if (a > b) {
        int t = a;
        a = b;
        b = t;
    }

    int ans = l;
    for (int i = 0; i <= l; i++) {
        num[i] = 1;
    }

    for (int i = 1; i < l; i++) {
        for (int q = 1; q < l; q++) {
            if (i * a + q * b > l) {
                break;
            }

            if (i * a + q * b <= l && num[i * a + q * b] == 1) {
                ans--;
                num[i * a + q * b]--;
//                cout << i * a + q * b << endl;
            }
        }
        if (i * a > l) {
            break;
        }
    }

    cout << ans;
}
